## org.springframework.test.annotation
Annotation Type ExpectedException

Deprecated. as of Spring 3.1 in favor of using built-in support for declaring expected exceptions in the underlying testing framework (e.g., JUnit, TestNG, etc.)

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    @Deprecated
    public @interface ExpectedException

Test annotation to indicate that a test method is required to throw the specified exception.

Since:
  2.0
Author:
  Rod Johnson, Sam Brannen

Required Element Summary
`Class<? extends Throwable>` `value` Deprecated.

Element Detail

### value

    public abstract Class<? extends Throwable> value

  Deprecated.